#!/bin/bash

ROOT_DIR=/opt/aile
CONFIG_DIR=$ROOT_DIR/config
CONFIG_BAK_DIR=$ROOT_DIR/config_bak

DONT_REMOVE_FILE_LIST=dont_remove.list

if [ ! -d $CONFIG_BAK_DIR ]; then
	mkdir $CONFIG_BAK_DIR
fi


for confFile in `cat $DONT_REMOVE_FILE_LIST`
do
	if [ -e $CONFIG_DIR/$confFile ]; then
		mv $CONFIG_DIR/$confFile $CONFIG_BAK_DIR/$confFile
	fi
done

rm $CONFIG_DIR/*

mv $CONFIG_BAK_DIR/* $CONFIG_DIR
rm -r $CONFIG_BAK_DIR/

# configのgtkrcをコピー
if [ -e /opt/aile/config/gtkrc.conf ]; then
	cp -f /opt/aile/config/gtkrc.conf /opt/aile/ui/gtkrc
fi

# カメラ時刻補正の工場出荷設定
TIMEAJUST_SETTING_FILE=$CONFIG_DIR/AutoTimeAdjustDisable.conf
# DMIを出力させるため管理者権限で行う。
DMI_NAME=`sudo dmidecode | grep -m 1 Product | grep YS | cut -d':' -f2`
# DMI品番よりRがある場合はカメラ時刻補正あり/ない場合は時刻補正なしとする
if [ $(echo $DMI_NAME | grep -e 'R') ]; then
	$ROOT_DIR/timeadj.sh ON > /dev/null 2>&1
else
	$ROOT_DIR/timeadj.sh OFF > /dev/null 2>&1
	sudo chown aile:aile $TIMEAJUST_SETTING_FILE
fi

sudo shutdown -h now

