#!/bin/bash
#######################################################
# 解像度変更(aileun2用)
#######################################################

xrandr -q | logger -t StartAile
TARGET_RESOLUTION="1080"
MAX_RESOLUTION_SCALE="5.1"
OUTPUT_MONITOR=("HDMI-0" "VGA-0")
MAX_RESOLUTION_SIZE="0"

for i in "${OUTPUT_MONITOR[@]}"; do
  RESOLUTION_X=$(xrandr -q | grep $i | awk -F'[ +x]+' '{print $3}')
  RESOLUTION_Y=$(xrandr -q | grep $i | awk -F'[ +x]+' '{print $4}')
  RESOLUTION_SIZE=`expr ${RESOLUTION_X} + ${RESOLUTION_Y}`
  if [ "${RESOLUTION_SIZE}" -gt "${MAX_RESOLUTION_SIZE}" ]; then
    MAX_RESOLUTION_SIZE=${RESOLUTION_SIZE}
    if [ "${RESOLUTION_X}" -gt "${RESOLUTION_Y}" ]; then
      if [ "${RESOLUTION_Y}" -gt "${TARGET_RESOLUTION}" ]; then
        TARGET_RESOLUTION=${RESOLUTION_Y}
      fi
      TARGET_RESOLUTION_Y=${TARGET_RESOLUTION}
      TARGET_RESOLUTION_X=`echo "scale=3; ${TARGET_RESOLUTION}*${RESOLUTION_X}/${RESOLUTION_Y}" | bc`
    else
      if [ "${RESOLUTION_X}" -gt "${TARGET_RESOLUTION}" ]; then
        TARGET_RESOLUTION=${RESOLUTION_X}
      fi
      TARGET_RESOLUTION_X=${TARGET_RESOLUTION}
      TARGET_RESOLUTION_Y=`echo "scale=3; ${TARGET_RESOLUTION}*${RESOLUTION_Y}/${RESOLUTION_X}" | bc`
    fi
  fi
done

for i in "${OUTPUT_MONITOR[@]}"; do
  RESOLUTION_X=$(xrandr -q | grep $i | awk -F'[ +x]+' '{print $3}')
  RESOLUTION_Y=$(xrandr -q | grep $i | awk -F'[ +x]+' '{print $4}')
  RESOLUTION_SCALE_X=`echo "scale=3; ${TARGET_RESOLUTION_X}/${RESOLUTION_X}" | bc`
  RESOLUTION_SCALE_Y=`echo "scale=3; ${TARGET_RESOLUTION_Y}/${RESOLUTION_Y}" | bc`
  if [ `echo "${TARGET_RESOLUTION_X} > ${RESOLUTION_X}" | bc` == 1 ] || [ `echo "${TARGET_RESOLUTION_Y} > ${RESOLUTION_Y}" | bc` == 1 ]; then
    if [ `echo "${RESOLUTION_SCALE_X} > ${MAX_RESOLUTION_SCALE}" | bc` == 1 ]; then
      RESOLUTION_SCALE_X=${MAX_RESOLUTION_SCALE}
    fi
    if [ `echo "${RESOLUTION_SCALE_Y} > ${MAX_RESOLUTION_SCALE}" | bc` == 1 ]; then
      RESOLUTION_SCALE_Y=${MAX_RESOLUTION_SCALE}
    fi
    xrandr --output $i --scale ${RESOLUTION_SCALE_X}"x"${RESOLUTION_SCALE_Y}
    logger -t StartAile "modify "$i" xrandr real:"${RESOLUTION_X}"x"${RESOLUTION_Y}" scale:"${RESOLUTION_SCALE_X}"x"${RESOLUTION_SCALE_Y}
  fi
done
xrandr -q | logger -t StartAile


### EOF ###
